// Persistence of Vision Raytracer 2.2
// - this is the include file "Skins.inc" (international version) -  

//   Created and distributed as FREEWARE by 
//   Sven Littkowski
//   21 Three Views Ave.
//   Kingston 20
//   Jamaica, West Indies
//   E-MAIL: jamaica_sven@yahoo.com
//   Tel.:   +1 - 876 - 700 01 01
//   Enhancements in textures and additional items are welcome and will be added into this file.
//   Send them to me in single files (for test purposes). If desired, the authors name will be assigned to the additions.
//   Important: For new items, please keep the metric scale system (recalculate into it, when using other systems).

//   This file is required by "SL Garnitur.inc" what it comes along with.
//   The example file "Home Sweet Home.pov" (how to use an included object) comes along with these files, too.
//   Also required: "colors.inc", "textures.inc" and "woods.inc", what are belonging to the original Povray files.

#version 3.1
global_settings { assumed_gamma 2.2 }


//   Dust
//   Rainforest_Wood
//   Leather
//   Zebra 
//   Leopard
//   Black_Leather
//   White_Leather
//   CheeseSnake
//   dark_Surface_Stone
//   medium_Surface_Stone
//   dark_Inner_Stone
//   medium_Inner_Stone
//   Normal_Glass
//   Smoky_Glass
//   CouchTilesCreme
//   TilesCreme











#include "Farben.inc"
#include "textures.inc"


#declare Dust = color red 0.947059 green 0.907059 blue 0.84902 

#declare T_Wood33 = texture 
{
 pigment 
 {
  wood 
  turbulence 0.0425
  scale 0.2
  color_map 
  {
   [ 0.05 color rgbf < 0.55294, 0.21176, 0.00000, 0.0 > ]
   [ 0.15 color rgbf < 0.32549, 0.13725, 0.00000, 0.0 > ]
   [ 0.25 color rgbf < 0.55294, 0.21176, 0.00000, 0.0 > ]
   [ 0.35 color rgbf < 0.32549, 0.11765, 0.00000, 0.0 > ]
   [ 0.48 color rgbf < 0.55294, 0.21176, 0.00000, 0.0 > ]
   [ 0.55 color rgbf < 0.29412, 0.13725, 0.01176, 0.0 > ] 
   [ 0.65 color rgbf < 0.55294, 0.21176, 0.00000, 0.0 > ]
   [ 0.78 color rgbf < 0.32549, 0.13725, 0.00000, 0.0 > ]
   [ 0.85 color rgbf < 0.55294, 0.21176, 0.00000, 0.0 > ]
   [ 0.96 color rgbf < 0.28627, 0.13725, 0.00000, 0.0 > ]
   [ 1.00 color rgbf < 0.54510, 0.17647, 0.03529, 0.0 > ]
  }
  translate < 0.015, 0.0, 0.0 >
 }
}

#declare Rainforest_Wood = texture 
{
 T_Wood33 
 pigment { turbulence 0.3 } 
 finish { Glossy } 
} 

#declare Ancient_Wood = texture 
{
 White_Wood 
 pigment { turbulence 0.7 } 
 finish { Glossy }
 scale 0.5 
} 

#declare Antique_Wood = texture 
{
 DMFDarkOak 
 pigment { turbulence 0.7 } 
}

#declare Leather = texture 
{
 pigment 
 {
  bozo
  turbulence 1.0 
  octaves 10
  omega 0.5
  lambda 2.5
  color_map 
  {
   [0.000, 0.100 color rgb < 0.160, 0.120, 0.024 > color rgb < 0.310, 0.220, 0.051 > ]
   [0.100, 0.047 color rgb < 0.310, 0.220, 0.051 > color rgb < 0.160, 0.120, 0.024 > ]
   [0.047, 0.780 color rgb < 0.160, 0.120, 0.024 > color rgb < 0.310, 0.220, 0.051 > ]
   [0.780, 0.980 color rgb < 0.310, 0.220, 0.051 > color rgb < 0.270, 0.170, 0.043 > ]
   [0.980, 1.000 color rgb < 0.270, 0.170, 0.043 > color rgb < 0.160, 0.120, 0.024 > ]
  }
 }
 finish 
 { 
  Dull
  specular 0.5
  roughness 0.15
  diffuse 0.8
 }
 scale 0.1
 translate y*-0.15
}
        
#declare Zebra = texture 
{
 pigment 
 {
  bozo
  turbulence 4.3 
  color_map 
  {
   [ 0.000, 0.600 color rgb < 1.000, 1.000, 1.000 > color rgb < 1.000, 1.000, 1.000 >/*< 0.766, 0.772, 0.783 >*/ ]
   [ 0.600, 1.000 color rgb < 0.000, 0.000, 0.000 > color rgb < 0.000, 0.000, 0.000 > ]
  }
 }
 finish 
 { 
  Dull
  diffuse 0.9
  roughness 0.15
  crand 0.4
 }
 scale < 0.15, 1.0, 1.0 >
 rotate < 0.00, 0.05, 0.05 >
}  

#declare SvenLeopard=texture { pigment { image_map { tga "carpet15.tga" } } finish { Dull } }

#declare Ring = pigment
{
 leopard 
 color_map 
 {
  [0.00 rgbf < 0.0, 0.0, 0.0, 1.00 > ]
  [0.65 rgbf < 0.0, 0.0, 0.0, 1.00 > ]
  [0.65 rgbf < 0.0, 0.0, 0.0, 1.00 > ]
  [0.70 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [0.70 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [0.90 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [0.90 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [0.95 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [0.95 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
  [1.00 rgbf < 0.0, 0.0, 0.0, 0.05 > ]
 }   
 turbulence 0.0 
 scale < 1.3, 1.0, 1.0 > 
 rotate 10.0
}
#declare Rings = pigment
{
 leopard 
 pigment_map 
 {
   [ 0.0 Ring rotate 10.0 ]
   [ 0.5 Ring rotate 20.0 ]
   [ 1.0 Ring rotate 30.0 ]
 }   
 turbulence 0.0
}
#declare GepardSkin = pigment
{  
 gradient y
 color_map 
 {
  [0.0 Moccasin ]
  [0.3 rgb < 0.7, 0.5, 0.2 > ]
  [1.0 rgb < 0.7, 0.5, 0.2 > ]
 }
}  
        
#declare Leopard = 
texture { GepardSkin finish { crand 0.2 } }
texture
{
 pigment 
 {      
  leopard
  pigment_map
  {
   [ 0.0 Rings rotate 10.0 ]
   [ 0.5 Rings rotate 20.0 ]
   [ 1.0 Rings rotate 30.0 ]
  } 
 }
 finish { crand 0.2 }
 translate 0.0
 rotate 90.0
 scale 0.04
}
texture
{
 pigment 
 {      
  leopard
  pigment_map
  {
   [ 0.0 Rings rotate 10.0 ]
   [ 0.5 Rings rotate 20.0 ]
   [ 1.0 Rings rotate 30.0 ]
  } 
 }
 finish { crand 0.2 }
 rotate < 0.0, 000.0, 0.0 >
 translate -2.0
 scale 0.04
}
texture
{
 pigment 
 {      
  leopard
  pigment_map
  {
   [ 0.0 Rings rotate 10.0 ]
   [ 0.5 Rings rotate 20.0 ]
   [ 1.0 Rings rotate 30.0 ]
  } 
 }
 finish { crand 0.2 }
 translate 2.0
 rotate < 0.0, 45.0, 0.0 >
 scale 0.04
}

#declare Black_Leather = texture 
{
 pigment { Black }
 normal 
 {
  waves 0.05
  frequency 500.0
  scale 30.0 
  turbulence 5.0
 }
 finish
 {
  Glossy
  phong 0.2
  phong_size 0.2
  brilliance 0.3
 }
}   

#declare White_Leather = texture 
{
 pigment { White }
 normal 
 {
  waves 0.05
  frequency 500.0
  scale 30.0 
  turbulence 5.0
 }
 finish
 {
  Glossy
  phong 0.2
  phong_size 0.2
  brilliance 0.3
 }
}   

#declare Pig1 = pigment 
{
 leopard
 color_map 
 {
  [ 0.0 SteelBlue ]
  [ 1.0 Yellow ]
 }
 sine_wave
 scale 0.05
}
#declare Pig2 = pigment 
{
 wrinkles
 color_map 
 {
  [ 0.0 Orange ]
  [ 0.5 White ]
  [ 1.0 White ]
 }
}
#declare Pig3 = pigment 
{
 bozo
 pigment_map 
 {
  [ 0.0 Pig1 ]
  [ 1.0 Pig2 ]
 }
 triangle_wave
 scale 1.5
}
#declare CheeseSnake = texture
{
 pigment 
 {
  pigment_pattern { Pig3 }
  color_map 
  {
   [ 0.0 MandarinOrange*1.0 ]
   [ 0.2 MandarinOrange*1.0 ]
   [ 1.0 Yellow*1.0 ]
  }      
 }
 normal 
 {
  pigment_pattern 
  {
   Pig3
  } 
  0.4
 }
/* finish 
 {
  phong 0.8 
  phong_size 10.0
 } */
 translate y*0.0  
 scale 0.05
}
#declare Stone1 = texture 
{
 pigment 
 {
  crackle solid
  color_map 
  {
   [0 Black]
   [.2 Wheat*.5]
   [.4 Black]
   [.6 Wheat*.5]
   [.8 Black]
   [1 Wheat*.5]
  }
 }
 finish 
 {
  phong .7 
  reflection {.4}
 }
 normal 
 {
  bumps .1 
  scale .2
 }
 scale .1
} 

#declare T_Grnt3a = texture 
{
 pigment
 {
  granite
  turbulence 0.6
  color_map
  {
   [ 0.000, 0.153 color rgbf < 0.831, 0.631, 0.569, 0.447 > color rgbf < 0.925, 0.831, 0.714, 0.678 > ]
   [ 0.153, 0.297 color rgbf < 0.925, 0.831, 0.714, 0.678 > color rgbf < 0.871, 0.702, 0.659, 0.475 > ]
   [ 0.297, 0.441 color rgbf < 0.871, 0.702, 0.659, 0.475 > color rgbf < 0.831, 0.631, 0.569, 0.918 > ]
   [ 0.441, 0.763 color rgbf < 0.831, 0.631, 0.569, 0.918 > color rgbf < 0.937, 0.882, 0.820, 0.655 > ]
   [ 0.763, 1.001 color rgbf < 0.937, 0.882, 0.820, 0.655 > color rgbf < 0.831, 0.631, 0.569, 0.447 > ]
  }
 }
}

#declare T_Grnt6 = texture 
{
 pigment
 {
  granite
  turbulence 0.5
  color_map
  {
   [ 0.000, 0.153 color rgbf < 0.545, 0.380, 0.345, 0.000 > color rgbf < 0.588, 0.475, 0.333, 0.000 > ]
   [ 0.153, 0.398 color rgbf < 0.588, 0.475, 0.333, 0.000 > color rgbf < 0.675, 0.478, 0.404, 0.000 > ]
   [ 0.398, 0.559 color rgbf < 0.675, 0.478, 0.404, 0.000 > color rgbf < 0.757, 0.635, 0.522, 0.000 > ]
   [ 0.559, 0.729 color rgbf < 0.757, 0.635, 0.522, 0.000 > color rgbf < 0.659, 0.549, 0.443, 0.000 > ]
   [ 0.729, 1.001 color rgbf < 0.659, 0.549, 0.443, 0.000 > color rgbf < 0.545, 0.380, 0.345, 0.000 > ]
  }
 }
}

#declare T_Grnt10a = texture 
{
 pigment
 {
  granite
  turbulence 0.6
  color_map
  {
   [ 0.000, 0.179 color rgbf < 0.843, 0.655, 0.655, 0.455 > color rgbf < 0.886, 0.769, 0.627, 0.608 > ]
   [ 0.179, 0.368 color rgbf < 0.886, 0.769, 0.627, 0.608 > color rgbf < 0.906, 0.820, 0.714, 0.392 > ]
   [ 0.368, 0.538 color rgbf < 0.906, 0.820, 0.714, 0.392 > color rgbf < 0.851, 0.671, 0.671, 0.659 > ]
   [ 0.538, 0.744 color rgbf < 0.851, 0.671, 0.671, 0.659 > color rgbf < 0.890, 0.792, 0.675, 0.392 > ]
   [ 0.744, 0.983 color rgbf < 0.890, 0.792, 0.675, 0.392 > color rgbf < 0.827, 0.612, 0.612, 0.706 > ]
   [ 0.983, 1.001 color rgbf < 0.827, 0.612, 0.612, 0.706 > color rgbf < 0.843, 0.655, 0.655, 0.455 > ]
  }
 }
}

#declare T_Grnt12a =  texture 
{
 pigment
 {
  granite
  turbulence 0.6
  color_map
  {
   [ 0.000, 0.154 color rgbf < 0.890, 0.690, 0.690, 0.659 > color rgbf < 0.996, 0.835, 0.737, 0.659 > ]
   [ 0.154, 0.308 color rgbf < 0.996, 0.835, 0.737, 0.659 > color rgbf < 0.745, 0.635, 0.651, 0.780 > ]
   [ 0.308, 0.444 color rgbf < 0.745, 0.635, 0.651, 0.780 > color rgbf < 0.733, 0.596, 0.557, 0.686 > ]
   [ 0.444, 0.615 color rgbf < 0.733, 0.596, 0.557, 0.686 > color rgbf < 0.996, 0.835, 0.737, 0.659 > ]
   [ 0.615, 0.803 color rgbf < 0.996, 0.835, 0.737, 0.659 > color rgbf < 0.765, 0.616, 0.659, 0.761 > ]
   [ 0.803, 1.001 color rgbf < 0.765, 0.616, 0.659, 0.761 > color rgbf < 0.890, 0.690, 0.690, 0.659 > ]
  }
 }
}

#declare T_Grnt17a = texture 
{
 pigment
 {
  granite
  turbulence 0.6
  color_map
  {
   [ 0.000, 0.034 color rgbf < 0.027, 0.012, 0.012, 0.000 > color rgbf < 0.851, 0.812, 0.741, 0.235 > ]
   [ 0.034, 0.342 color rgbf < 0.851, 0.812, 0.741, 0.235 > color rgbf < 0.792, 0.694, 0.690, 0.839 > ]
   [ 0.342, 0.462 color rgbf < 0.792, 0.694, 0.690, 0.839 > color rgbf < 0.631, 0.506, 0.471, 0.608 > ]
   [ 0.462, 0.632 color rgbf < 0.631, 0.506, 0.471, 0.608 > color rgbf < 0.851, 0.812, 0.741, 0.922 > ]
   [ 0.632, 0.983 color rgbf < 0.851, 0.812, 0.741, 0.922 > color rgbf < 0.647, 0.655, 0.655, 0.282 > ]
   [ 0.983, 1.001 color rgbf < 0.647, 0.655, 0.655, 0.282 > color rgbf < 0.027, 0.012, 0.012, 0.000 > ]
  }
 }
}

#declare T_Grnt20a = texture 
{
 pigment
 {
  granite
  turbulence 0.0
  color_map
  {
   [ 0.0, 0.2 color White filter 0.0 color White filter 0.7 ]
   [ 0.2, 0.3 color White filter 0.7 color Clear ]
   [ 0.3, 1.0 color Clear color Clear ]
  }
 }
 finish { crand 0.02 } 
}

#declare T_Grnt24a = texture 
{
 pigment
 {
  granite
  turbulence 0.5
  color_map
  {
   [ 0.000, 0.053 color rgbf < 0.784, 0.627, 0.522, 0.500 > color rgbf < 0.784, 0.627, 0.624, 0.500 > ]
   [ 0.053, 0.263 color rgbf < 0.784, 0.627, 0.624, 0.500 > color rgbf < 0.824, 0.557, 0.376, 0.500 > ]
   [ 0.263, 0.281 color rgbf < 0.824, 0.557, 0.376, 0.500 > color rgbf < 0.643, 0.380, 0.376, 0.500 > ]
   [ 0.281, 0.325 color rgbf < 0.643, 0.380, 0.376, 0.500 > color rgbf < 0.839, 0.722, 0.722, 0.500 > ]
   [ 0.325, 0.711 color rgbf < 0.839, 0.722, 0.722, 0.500 > color rgbf < 0.784, 0.627, 0.522, 0.500 > ]
   [ 0.711, 0.798 color rgbf < 0.784, 0.627, 0.522, 0.500 > color rgbf < 0.769, 0.380, 0.376, 0.500 > ]
   [ 0.798, 0.895 color rgbf < 0.769, 0.380, 0.376, 0.500 > color rgbf < 0.824, 0.557, 0.376, 0.500 > ]
   [ 0.895, 0.982 color rgbf < 0.824, 0.557, 0.376, 0.500 > color rgbf < 0.784, 0.627, 0.522, 0.500 > ]
   [ 0.982, 1.001 color rgbf < 0.784, 0.627, 0.522, 0.500 > color rgbf < 0.784, 0.627, 0.522, 0.500 > ]
  }
 }
}

#declare T_Grnt27 = texture 
{
 pigment
 {
  granite
  color_map
  {
   [ 0.000, 0.043 color rgbf < 0.773, 0.647, 0.569, 0.000 > color rgbf < 0.431, 0.322, 0.227, 0.000 > ]
   [ 0.043, 0.113 color rgbf < 0.431, 0.322, 0.227, 0.000 > color rgbf < 0.278, 0.282, 0.216, 0.000 > ]
   [ 0.113, 0.304 color rgbf < 0.278, 0.282, 0.216, 0.000 > color rgbf < 0.278, 0.282, 0.216, 0.000 > ]
   [ 0.304, 0.426 color rgbf < 0.278, 0.282, 0.216, 0.000 > color rgbf < 0.459, 0.341, 0.243, 0.000 > ]
   [ 0.426, 0.843 color rgbf < 0.459, 0.341, 0.243, 0.000 > color rgbf < 0.459, 0.341, 0.243, 0.000 > ]
   [ 0.843, 0.878 color rgbf < 0.459, 0.341, 0.243, 0.000 > color rgbf < 0.459, 0.341, 0.243, 0.000 > ]
   [ 0.878, 0.983 color rgbf < 0.459, 0.341, 0.243, 0.000 > color rgbf < 0.278, 0.282, 0.216, 0.000 > ]
   [ 0.983, 1.001 color rgbf < 0.278, 0.282, 0.216, 0.000 > color rgbf < 0.773, 0.647, 0.569, 0.000 > ]
  }
 }
}

#declare T_Grnt29 = texture 
{
 pigment
 {
  marble
  turbulence 0.5
  color_map
  {
   [ 0.000, 0.053 color rgbf < 0.784, 0.627, 0.522, 0.000 > color rgbf < 0.784, 0.627, 0.624, 0.000 > ]
   [ 0.053, 0.263 color rgbf < 0.784, 0.627, 0.624, 0.000 > color rgbf < 0.824, 0.557, 0.376, 0.000 > ]
   [ 0.263, 0.281 color rgbf < 0.824, 0.557, 0.376, 0.000 > color rgbf < 0.643, 0.380, 0.376, 0.000 > ]
   [ 0.281, 0.325 color rgbf < 0.643, 0.380, 0.376, 0.000 > color rgbf < 0.839, 0.722, 0.722, 0.000 > ]
   [ 0.325, 0.711 color rgbf < 0.839, 0.722, 0.722, 0.000 > color rgbf < 0.784, 0.627, 0.522, 0.000 > ]
   [ 0.711, 0.798 color rgbf < 0.784, 0.627, 0.522, 0.000 > color rgbf < 0.769, 0.380, 0.376, 0.000 > ]
   [ 0.798, 0.895 color rgbf < 0.769, 0.380, 0.376, 0.000 > color rgbf < 0.824, 0.557, 0.376, 0.000 > ]
   [ 0.895, 0.982 color rgbf < 0.824, 0.557, 0.376, 0.000 > color rgbf < 0.784, 0.627, 0.522, 0.000 > ]
   [ 0.982, 1.001 color rgbf < 0.784, 0.627, 0.522, 0.000 > color rgbf < 0.784, 0.627, 0.522, 0.000 > ]
  }
 }
}

#declare T_Crack1 =
texture 
{
 pigment
 {
  marble
  turbulence 0.85
  color_map
  {
   [ 0.0, 0.04 color Black filter 0.6 color Black filter 1.0 ]
   [ 0.04, 0.97 color Scarlet filter 0.80 color DimGray filter 0.90 ]
   [ 0.97, 1.001 color Black filter 0.9 color Black filter 1.0 ]
  }
 }
}

#declare T_Stone4 = 
texture
{
 T_Grnt6   
 scale < 1.5, 3, 2 >
 rotate < 0, 0, 40 >
 finish { diffuse 0.5 }
} 
texture
{
 T_Grnt10a 
 scale < 1, 3, 2 > 
 rotate < 0, 0, -30 >
 finish { phong 1.0 phong_size 90 }
}

#declare T_Stone10 =
 texture { pigment { color Black } }
 texture { T_Grnt17a scale < 3, 6, 2 > rotate < 0, 0, 50 > }
 texture { T_Grnt3a scale < 1, 2, 1 > rotate < 0, 0, -50 > finish { phong 1.0 phong_size 90 }
}

#declare T_Stone20 =
 texture { T_Grnt27 scale < 0.7, 0.99, 0.7 > rotate < 0, 0, 40 > }
 texture { T_Grnt12a scale < 1, 1.3, 2 > rotate < 0, 0, 40 > }
 texture { T_Grnt20a scale < 1.9, 3, 0.5 > rotate < 0, 0, -50 > }
 texture { T_Crack1 scale < 1, 0.6, 1 > rotate < 10, 0, -20 > finish { phong 1.0 phong_size 90 }
}

#declare T_Stone23 =
 texture { T_Grnt29 scale < 1, 1, 2 > rotate < 40, 0, 0 > rotate < 0, 0, 30 > }
 texture { T_Grnt24a scale < 2, 1, 2 > rotate < 40, 0, 0 > rotate < 0, 0, 30 > }
 texture { T_Crack1 scale < 1, 2, 1.5 > rotate < 0, 0, 40 > }
 texture { pigment { color Yellow filter 0.9 } finish { phong 1.0 phong_size 90 }  
}

#declare dark_Surface_Stone = texture 
{
 T_Stone10 
 scale 0.2 
 finish 
 {
  specular 0.35
  roughness 0.005
 }
}      

#declare medium_Surface_Stone = texture 
{
 T_Stone4 
 scale 0.2 
 finish 
 {
  specular 0.35
  roughness 0.005
 }
}      

#declare dark_Inner_Stone = texture 
{
 T_Stone20 
 finish 
 {
  Glossy
 }
 scale 0.5 
 rotate < 90.0, 0.0, 0.0 > 
}      

#declare medium_Inner_Stone = texture 
{
 T_Stone23
 rotate < 0.0, 90.0, 0.0 > 
 scale 0.5 
 finish 
 {
  Glossy
 }
}      

#declare Glassy =
finish {
    ambient 0.1
    diffuse 0.1
    reflection .25
    specular 1
    roughness 0.001
}

#declare Normal_Glass =
texture {
    pigment { color rgbf < 0.98, 1.0, 0.99, 0.75 > }
    finish { Glassy }
}

#declare Smoky_Glass = material 
{
 texture 
 {
  pigment { color rgbf < 0.6, 0.5, 0.1, 0.999999 > * 1.2 }
  finish { F_Glass6 }             
 }
 interior 
 {
  I_Glass_Exp(2)
  fade_color Col_Red_03
 }
}

#declare Green_Glass = material 
{
 texture 
 {
  pigment { color rgbf < 0.2, 0.4, 0.0, 0.999999 > * 1.2 }
  finish { F_Glass6 }           
 }
 interior 
 {
  I_Glass_Exp(2)
  fade_color Col_Green_03
 }
}

#declare Glasses = material
{
 texture { Glass finish { F_Glass2 } }
 interior { I_Glass_Exp(2) fade_color Clear }
}       

#declare CouchTilesCreme = texture
{ 
 
 pigment { Moccasin }  
 normal
 {
  hexagon 0.05
  scale 0.24
 }  
 scale 0.35
// finish{ Glossy }
} 

#declare TilesCreme = texture
{ 
 
 pigment { Moccasin }  
 normal
 {
  hexagon 0.1
  scale 0.24
 }  
 scale 0.35
// finish{ Glossy }
} 






